<template>
  <v-row>
    <v-col>
      <v-select
        label="ค้นหาสถานะ"
        outlined
        rounded
        item-text="name"
        item-value="value"
        prepend-inner-icon="search"
        :items="itemStatus"
        v-model="objLocal.status"
      >
      </v-select>
    </v-col>
    <v-col v-if="role == 'Admin'">
      <v-text-field
        v-model="objLocal.firstName"
        outlined
        rounded
        label="ชื่อ"
        flat
        prepend-inner-icon="search"
      >
      </v-text-field>
    </v-col>
    <v-col v-if="role == 'Admin'">
      <v-text-field
        v-model="objLocal.lastName"
        outlined
        rounded
        label="นามสกุล"
        flat
        prepend-inner-icon="search"
      >
      </v-text-field>
    </v-col>
    <v-col>
      <v-text-field
        v-model="objLocal.lockerCode"
        outlined
        rounded
        label="รหัสล็อกเกอร์"
        flat
        prepend-inner-icon="search"
      >
      </v-text-field>
    </v-col>
  </v-row>
</template>

<script>
import { index } from "../../json/index";
export default {
  props: ["obj"],
  model: {
    prop: "obj",
    event: "objChange",
  },
  data() {
    return {
      itemStatus: index.ITEM_STATUSREAIR,
      role: this.$store.getters["auth/roleUser"],
    };
  },
  computed: {
    objLocal: {
      get: function () {
        return this.obj;
      },
      set: function (value) {
        this.$emit("objChange", value);
      },
    },
  },
};
</script>

<style>
</style>